cmf_core:
    multilang:
        locales: ['en', 'de', 'fr']
    publish_workflow:
        enabled: false

cmf_menu:
    persistence:
        phpcr:
            enabled: true
            use_sonata_admin: true
            menu_basepath: /test/menus
    voters:
        content_identity: true
        uri_prefix: ~

cmf_routing:
    dynamic:
        enabled: true
        persistence:
            phpcr:
                route_basepath: /test/routes
                enabled: true
    chain:
        routers_by_id:
            cmf_routing.dynamic_router: 20
            router.default: 100

sonata_admin:
    extensions:
        cmf_menu.admin_extension.menu_node_referrers:
            implements:
                - Symfony\Cmf\Bundle\MenuBundle\Model\MenuNodeReferrersInterface

sonata_doctrine_phpcr_admin:
    document_tree_defaults: [locale]
    document_tree:
        Doctrine\ODM\PHPCR\Document\Generic:
            valid_children:
                - all
        Symfony\Cmf\Bundle\MenuBundle\Doctrine\Phpcr\Menu:
            valid_children:
                - Symfony\Cmf\Bundle\MenuBundle\Doctrine\Phpcr\MenuNode
        Symfony\Cmf\Bundle\MenuBundle\Doctrine\Phpcr\MenuNode:
            valid_children:
                - Symfony\Cmf\Bundle\MenuBundle\Doctrine\Phpcr\MenuNode

fos_js_routing:
    routes_to_expose:
        - admin_cmf_menu_menu_*
        - admin_cmf_menu_multilangmenu_*
        - admin_cmf_menu_menunode_*
        - admin_cmf_menu_multilangmenunode_*
        - sonata.admin.doctrine_phpcr.phpcrodm_children
